<?xml version='1.0' encoding='UTF-8'?>

<Properties version="4.1">
	<Property name="xslt.base64Zipped">true</Property>
	<Property name="xslt.ignoreInput">true</Property>
	<Property name="xslt.params" type="List">
		<Property name="var.colorCode">var.colorCode</Property>
		<Property name="var.customDisplayName">var.customDisplayName</Property>
		<Property name="var.newCustomId">var.newCustomId</Property>
		<Property name="var.asset">var.asset</Property>
		<Property name="var.session">var.session</Property>
		<Property name="var.template">var.template</Property>
	</Property>
	<Property name="xslt.saveAtServer">true</Property>
	<Property name="xslt.setAllVariablesAsTransformerParams">true</Property>
	<Property name="xslt.source">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;body>&lt;template>&lt;id>26&lt;/id>&lt;displayName>Template 26&lt;/displayName>&lt;labels/>&lt;imageFileName/>&lt;hasLocation>false&lt;/hasLocation>&lt;hasContacts>false&lt;/hasContacts>&lt;versionedAttributes/>&lt;children/>&lt;unversionedAttributes/>&lt;parents/>&lt;lastUpdatedOn>2013-04-23T15:16:14Z&lt;/lastUpdatedOn>&lt;lastUpdatedByUser>&lt;id>2&lt;/id>&lt;displayName>b&lt;/displayName>&lt;/lastUpdatedByUser>&lt;createdOn>2013-04-23T15:16:14Z&lt;/createdOn>&lt;createdByUser>&lt;id>1&lt;/id>&lt;displayName>a&lt;/displayName>&lt;/createdByUser>&lt;/template>&lt;/body></Property>
	<Property name="xslt.sourceVariables" type="Map">
		<Property name="ISCurrentTime">1595607130920</Property>
		<Property name="ISWorkflowName">VAM_am_027_createAsset</Property>
		<Property name="ISModuleName">VAM_am_joiner</Property>
		<Property name="ISModuleId">620</Property>
		<Property name="ISProcessId">11646973</Property>
		<Property name="ISUserName">VAM</Property>
		<Property name="ISServerName">dev04.virtimo.net</Property>
		<Property name="ISGlobalProcessId">11646973</Property>
		<Property name="ISInvokingWorkflow">VAM_api_dispatching</Property>
		<Property name="ISInvokingModule">VAM_am_wfc_027_createAsset</Property>
		<Property name="log" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;log>&lt;entries/>&lt;/log></Property>
		<Property name="var.hasAsset">true</Property>
		<Property name="var.templates" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;templates>&lt;template>&lt;id>1&lt;/id>&lt;customId>GEMEINDE&lt;/customId>&lt;colorCode>&lt;xpath/>&lt;/colorCode>&lt;labels>&lt;de>Gemeinde&lt;/de>&lt;en>Commune&lt;/en>&lt;/labels>&lt;displayName>Gemeinde&lt;/displayName>&lt;actions/>&lt;customIdAttribute>&lt;formula>&lt;xpath>concat(/asset/version/versionedAttributes/attribute[key='plz']/value, ' ', /asset/version/versionedAttributes/attribute[key='name']/value)&lt;/xpath>&lt;/formula>&lt;hidden>true&lt;/hidden>&lt;type>string&lt;/type>&lt;displayName/>&lt;/customIdAttribute>&lt;versionedAttributes>&lt;attribute>&lt;labels>&lt;en>active&lt;/en>&lt;/labels>&lt;defaultValue>true&lt;/defaultValue>&lt;required>true&lt;/required>&lt;key>active&lt;/key>&lt;type>boolean&lt;/type>&lt;displayName>active&lt;/displayName>&lt;/attribute>&lt;attribute>&lt;key>name&lt;/key>&lt;type>string&lt;/type>&lt;displayName>name&lt;/displayName>&lt;/attribute>&lt;attribute>&lt;maxLength>5&lt;/maxLength>&lt;key>plz&lt;/key>&lt;type>string&lt;/type>&lt;displayName>plz&lt;/displayName>&lt;/attribute>&lt;attribute>&lt;decimalPlaces>2&lt;/decimalPlaces>&lt;key>area&lt;/key>&lt;type>number&lt;/type>&lt;displayName>area&lt;/displayName>&lt;/attribute>&lt;attribute>&lt;key>population&lt;/key>&lt;type>number&lt;/type>&lt;displayName>population&lt;/displayName>&lt;/attribute>&lt;attribute>&lt;labels>&lt;de>Mail-Postfach&lt;/de>&lt;en>Mail account&lt;/en>&lt;/labels>&lt;descriptions>&lt;de>Das Mail-Postfach wird zum Beispiel für die Alarmierung verwendet.&lt;/de>&lt;en>This mail account will be used for e.g. alerting notifications.&lt;/en>&lt;/descriptions>&lt;key>mailAddress&lt;/key>&lt;type>string&lt;/type>&lt;displayName>Mail-Postfach&lt;/displayName>&lt;displayDescription>Das Mail-Postfach wird zum Beispiel für die Alarmierung verwendet.&lt;/displayDescription>&lt;/attribute>&lt;attribute>&lt;isTimeSeries>true&lt;/isTimeSeries>&lt;labels>&lt;de>Versand aussetzen&lt;/de>&lt;en>Interaction required for sending&lt;/en>&lt;/labels>&lt;descriptions>&lt;de>pro Ziel kann der automatische Versand ausgesetzt werden. Dann ist eine manuelle Freigabe von Nachrichten nötig.&lt;/de>&lt;en>Configuration of explicit clearing requirements for sending of messages.&lt;/en>&lt;/descriptions>&lt;key>interactionRequiredForSending&lt;/key>&lt;type>table&lt;/type>&lt;displayName>Versand aussetzen&lt;/displayName>&lt;displayDescription>pro Ziel kann der automatische Versand ausgesetzt werden. Dann ist eine manuelle Freigabe von Nachrichten nötig.&lt;/displayDescription>&lt;attributes>&lt;attribute>&lt;labels>&lt;de>Ziel&lt;/de>&lt;en>Target&lt;/en>&lt;/labels>&lt;descriptions>&lt;de>Ziel erfassen!&lt;/de>&lt;en>Enter target!&lt;/en>&lt;/descriptions>&lt;required>true&lt;/required>&lt;defaultValue>all&lt;/defaultValue>&lt;key>value&lt;/key>&lt;type>enum&lt;/type>&lt;displayName>Ziel&lt;/displayName>&lt;displayDescription>Ziel erfassen!&lt;/displayDescription>&lt;enums>&lt;enum>&lt;key>all&lt;/key>&lt;displayName>all&lt;/displayName>&lt;/enum>&lt;enum&gt;&lt;key>some&lt;/key>&lt;displayName>Einige&lt;/displayName>&lt;labels>&lt;de>Einige&lt;/de>&lt;/labels>&lt;/enum>&lt;enum>&lt;key>many&lt;/key>&lt;displayName>many&lt;/displayName>&lt;/enum>&lt;enum>&lt;key>none&lt;/key>&lt;displayName>none&lt;/displayName>&lt;/enum>&lt;enum>&lt;key>almostAll&lt;/key>&lt;displayName>almostAll&lt;/displayName>&lt;/enum>&lt;/enums>&lt;/attribute>&lt;attribute>&lt;labels>&lt;de>Von (Tag)&lt;/de>&lt;en>From (Day)&lt;/en>&lt;/labels>&lt;required>true&lt;/required>&lt;key>from&lt;/key>&lt;type>date&lt;/type>&lt;displayName>Von (Tag)&lt;/displayName>&lt;/attribute>&lt;attribute>&lt;labels>&lt;de>Bis (Tag)&lt;/de>&lt;en>To (Day)&lt;/en>&lt;/labels>&lt;required>true&lt;/required>&lt;key>to&lt;/key>&lt;type>date&lt;/type>&lt;displayName>Bis (Tag)&lt;/displayName>&lt;/attribute>&lt;/attributes>&lt;/attribute>&lt;attribute>&lt;labels>&lt;de>Prüfungen&lt;/de>&lt;en>Checks&lt;/en>&lt;/labels>&lt;key>checkGroup&lt;/key>&lt;type>group&lt;/type>&lt;displayName>Prüfungen&lt;/displayName>&lt;attributes>&lt;attribute>&lt;labels>&lt;de>Prüfergebnisse ignorieren&lt;/de>&lt;en>Ignore check results&lt;/en>&lt;/labels>&lt;descriptions>&lt;de>Pro Ziel können die Prüfergebnisse ignoriert werden. Dann kommt es trotz verletzter Prüfregeln zu einem Versand.&lt;/de>&lt;en>Per-target configuration of message submission regardless of the check results.&lt;/en>&lt;/descriptions>&lt;key>ignoreChecks&lt;/key>&lt;type>table&lt;/type>&lt;displayName>Prüfergebnisse ignorieren&lt;/displayName>&lt;displayDescription>Pro Ziel können die Prüfergebnisse ignoriert werden. Dann kommt es trotz verletzter Prüfregeln zu einem Versand.&lt;/displayDescription>&lt;attributes>&lt;attribute>&lt;labels>&lt;de>Ziel&lt;/de>&lt;en>Target&lt;/en>&lt;/labels>&lt;unique>true&lt;/unique>&lt;required>true&lt;/required>&lt;key>target&lt;/key>&lt;type>enum&lt;/type>&lt;displayName>Ziel&lt;/displayName>&lt;enums>&lt;enum>&lt;key>all&lt;/key>&lt;displayName>Alle&lt;/displayName>&lt;labels>&lt;de>Alle&lt;/de>&lt;en>All&lt;/en>&lt;/labels>&lt;/enum>&lt;/enums>&lt;/attribute>&lt;attribute>&lt;labels>&lt;de>Von (Tag)&lt;/de>&lt;en>From (Day)&lt;/en>&lt;/labels>&lt;required>true&lt;/required>&lt;key>fromDate&lt;/key>&lt;type>date&lt;/type>&lt;displayName>Von (Tag)&lt;/displayName>&lt;/attribute>&lt;attribute>&lt;labels>&lt;de>Von (Zeit)&lt;/de>&lt;en>From (Time)&lt;/en>&lt;/labels>&lt;required>true&lt;/required>&lt;key>fromTime&lt;/key>&lt;type>time&lt;/type>&lt;displayName>Von (Zeit)&lt;/displayName>&lt;/attribute>&lt;attribute>&lt;labels>&lt;de>Bis (Tag)&lt;/de>&lt;en>To (Day)&lt;/en>&lt;/labels>&lt;required>true&lt;/required>&lt;key>toDate&lt;/key>&lt;type>date&lt;/type>&lt;displayName>Bis (Tag)&lt;/displayName>&lt;/attribute>&lt;attribute>&lt;labels>&lt;de>Bis (Zeit)&lt;/de>&lt;en>To (Zeit)&lt;/en>&lt;/labels>&lt;required>true&lt;/required>&lt;key>toTime&lt;/key>&lt;type>time&lt;/type>&lt;displayName>Bis (Zeit)&lt;/displayName>&lt;/attribute>&lt;/attributes>&lt;/attribute>&lt;attribute>&lt;labels>&lt;de>Aktion bei unbekannten Netzpunkten&lt;/de>&lt;en>Action for unknown points&lt;/en>&lt;/labels>&lt;descriptions>&lt;de>Auszuführende Aktion bei unbekannten Netzpunkten&lt;/de>&lt;en>Action for unknown points&lt;/en>&lt;/descriptions>&lt;defaultValue>Ignore&lt;/defaultValue>&lt;key>checkUnknownPointMandant&lt;/key>&lt;type>enum&lt;/type>&lt;displayName>Aktion bei unbekannten Netzpunkten&lt;/displayName>&lt;displayDescription>Auszuführende Aktion bei unbekannten Netzpunkten&lt;/displayDescription>&lt;enums>&lt;enum>&lt;key>Ignore&lt;/key>&lt;displayName>Ignorieren&lt;/displayName>&lt;labels>&lt;de>Ignorieren&lt;/de>&lt;en>Ignore&lt;/en>&lt;/labels>&lt;/enum>&lt;enum>&lt;key>Alert&lt;/key>&lt;displayName>Alarmieren&lt;/displayName>&lt;labels>&lt;de>Alarmieren&lt;/de>&lt;en>Alert&lt;/en>&lt;/labels>&lt;/enum>&lt;enum>&lt;key>Warning&lt;/key>&lt;displayName>Warnung&lt;/displayName>&lt;labels>&lt;de>Warnung&lt;/de>&lt;en>Warning&lt;/en>&lt;/labels>&lt;/enum>&lt;enum>&lt;key>Interaction&lt;/key>&lt;displayName>Freigabe benötigt&lt;/displayName>&lt;labels>&lt;de>Freigabe benötigt&lt;/de>&lt;en>Approval needed&lt;/en>&lt;/labels>&lt;/enum>&lt;enum>&lt;key>Error&lt;/key>&lt;displayName>Abbruch&lt;/displayName>&lt;labels>&lt;de>Abbruch&lt;/de>&lt;en>Abort&lt;/en>&lt;/labels>&lt;/enum>&lt;/enums>&lt;/attribute>&lt;/attributes>&lt;/attribute>&lt;attribute>&lt;labels>&lt;de>Excel-Template-Pfad&lt;/de>&lt;en>Excel Templates Path&lt;/en>&lt;/labels>&lt;descriptions>&lt;de>Pfad im IS-Repository für die Excel-Vorlagen. Staging-Stufe wird angehängt.&lt;/de>&lt;en>Path in IS repository for the Excel templates. Staging level is appended.&lt;/en>&lt;/descriptions>&lt;maxLength>24&lt;/maxLength>&lt;key>excelTemplatesPath&lt;/key>&lt;type>string&lt;/type>&lt;displayName>Excel-Template-Pfad&lt;/displayName>&lt;displayDescription>Pfad im IS-Repository für die Excel-Vorlagen. Staging-Stufe wird angehängt.&lt;/displayDescription>&lt;/attribute>&lt;/versionedAttributes>&lt;unversionedAttributes/>&lt;createdOn>2020-07-22T09:42:34.000Z&lt;/createdOn>&lt;createdByUser>&lt;id>bpcadmin&lt;/id>&lt;displayName>Timo Virt&lt;/displayName>&lt;/createdByUser>&lt;lastUpdatedOn>2020-07-22T09:42:34.000Z&lt;/lastUpdatedOn>&lt;lastUpdatedByUser>&lt;id>bpcadmin&lt;/id>&lt;displayName>Timo Virt&lt;/displayName>&lt;/lastUpdatedByUser>&lt;access>&lt;full>&lt;role>VAM-administrator&lt;/role>&lt;role>VAM-readonly-administrator&lt;/role>&lt;/full>&lt;restricted/>&lt;/access>&lt;children/>&lt;parents/>&lt;computedAccess>&lt;full>&lt;role>VAM-administrator&lt;/role>&lt;role>VAM-readonly-administrator&lt;/role>&lt;/full>&lt;restricted/>&lt;/computedAccess>&lt;/template>&lt;template>&lt;id>2&lt;/id>&lt;customId>STADT&lt;/customId>&lt;colorCode>&lt;xpath>if (/asset/version/versionedAttributes/attribute[key='active']/value = 'true') then '77aa00' else 'ccffaa'&lt;/xpath>&lt;/colorCode>&lt;labels>&lt;de>Stadt&lt;/de>&lt;en>City&lt;/en>&lt;/labels>&lt;displayName>Stadt&lt;/displayName>&lt;actions/>&lt;customIdAttribute>&lt;unique>true&lt;/unique>&lt;type>string&lt;/type>&lt;displayName/>&lt;/customIdAttribute>&lt;displayNameAttribute>&lt;formula>&lt;xpath>concat('THE ', /asset/version/versionedAttributes/attribute[key='senderCode']/value)&lt;/xpath>&lt;/formula>&lt;type>string&lt;/type>&lt;displayName/>&lt;/displayNameAttribute>&lt;versionedAttributes>&lt;attribute>&lt;labels>&lt;de>EIC-Code&lt;/de>&lt;/labels>&lt;maxLength>24&lt;/maxLength>&lt;key>senderCode&lt;/key>&lt;type>string&lt;/type>&lt;displayName>EIC-Code&lt;/displayName>&lt;/attribute>&lt;attribute>&lt;labels>&lt;en>active&lt;/en>&lt;/labels>&lt;defaultValue>true&lt;/defaultValue>&lt;required>true&lt;/required>&lt;key>active&lt;/key>&lt;type>boolean&lt;/type>&lt;displayName>active&lt;/displayName>&lt;/attribute>&lt;attribute>&lt;labels>&lt;de>Mail-Postfach&lt;/de>&lt;en>Mail account&lt;/en&gt;&lt;/labels>&lt;descriptions>&lt;de>Das Mail-Postfach wird zum Beispiel für die Alarmierung verwendet.&lt;/de>&lt;en>This mail account will be used for e.g. alerting notifications.&lt;/en>&lt;/descriptions>&lt;key>mailAddress&lt;/key>&lt;type>string&lt;/type>&lt;displayName>Mail-Postfach&lt;/displayName>&lt;displayDescription>Das Mail-Postfach wird zum Beispiel für die Alarmierung verwendet.&lt;/displayDescription>&lt;/attribute>&lt;attribute>&lt;labels>&lt;de>Versand aussetzen&lt;/de>&lt;en>Interaction required for sending&lt;/en>&lt;/labels>&lt;descriptions>&lt;de>pro Ziel kann der automatische Versand ausgesetzt werden. Dann ist eine manuelle Freigabe von Nachrichten nötig.&lt;/de>&lt;en>Configuration of explicit clearing requirements for sending of messages.&lt;/en>&lt;/descriptions>&lt;key>interactionRequiredForSending&lt;/key>&lt;type>table&lt;/type>&lt;displayName>Versand aussetzen&lt;/displayName>&lt;displayDescription>pro Ziel kann der automatische Versand ausgesetzt werden. Dann ist eine manuelle Freigabe von Nachrichten nötig.&lt;/displayDescription>&lt;attributes>&lt;attribute>&lt;labels>&lt;de>Partnerstadt&lt;/de>&lt;/labels>&lt;key>partnerstadt&lt;/key>&lt;type>dynamicEnum&lt;/type>&lt;displayName>Partnerstadt&lt;/displayName>&lt;/attribute>&lt;attribute>&lt;labels>&lt;de>Ziel&lt;/de>&lt;en>Target&lt;/en>&lt;/labels>&lt;descriptions>&lt;de>Ziel erfassen!&lt;/de>&lt;en>Enter target!&lt;/en>&lt;/descriptions>&lt;unique>true&lt;/unique>&lt;required>true&lt;/required>&lt;defaultValue>all&lt;/defaultValue>&lt;key>target&lt;/key>&lt;type>enum&lt;/type>&lt;displayName>Ziel&lt;/displayName>&lt;displayDescription>Ziel erfassen!&lt;/displayDescription>&lt;enums>&lt;enum>&lt;key>all&lt;/key>&lt;displayName>Alle&lt;/displayName>&lt;labels>&lt;de>Alle&lt;/de>&lt;en&gt;All&lt;/en>&lt;/labels>&lt;/enum>&lt;/enums>&lt;/attribute>&lt;attribute>&lt;labels>&lt;de>Von (Tag)&lt;/de>&lt;en>From (Day)&lt;/en>&lt;/labels>&lt;required>true&lt;/required>&lt;key>fromDate&lt;/key>&lt;type>date&lt;/type>&lt;displayName>Von (Tag)&lt;/displayName>&lt;/attribute>&lt;attribute>&lt;labels>&lt;de>Von (Zeit)&lt;/de>&lt;en>From (Time)&lt;/en>&lt;/labels>&lt;required>true&lt;/required>&lt;defaultValue>12:00:00&lt;/defaultValue>&lt;key>fromTime&lt;/key>&lt;type>time&lt;/type>&lt;displayName>Von (Zeit)&lt;/displayName>&lt;/attribute>&lt;attribute>&lt;labels>&lt;de>Bis (Tag)&lt;/de>&lt;en>To (Day)&lt;/en>&lt;/labels>&lt;required>true&lt;/required>&lt;key>toDate&lt;/key>&lt;type>date&lt;/type>&lt;displayName>Bis (Tag)&lt;/displayName>&lt;/attribute>&lt;attribute>&lt;labels>&lt;de>Bis (Zeit)&lt;/de>&lt;en>To (Zeit)&lt;/en>&lt;/labels>&lt;required>true&lt;/required>&lt;key>toTime&lt;/key>&lt;type>time&lt;/type>&lt;displayName>Bis (Zeit)&lt;/displayName>&lt;/attribute>&lt;/attributes>&lt;/attribute>&lt;attribute>&lt;labels>&lt;de>Prüfungen&lt;/de>&lt;en>Checks&lt;/en>&lt;/labels>&lt;key>checkGroup&lt;/key>&lt;type>group&lt;/type>&lt;displayName>Prüfungen&lt;/displayName>&lt;attributes>&lt;attribute>&lt;labels>&lt;de>Prüfergebnisse ignorieren&lt;/de>&lt;en>Ignore check results&lt;/en>&lt;/labels>&lt;descriptions>&lt;de>Pro Ziel können die Prüfergebnisse ignoriert werden. Dann kommt es trotz verletzter Prüfregeln zu einem Versand.&lt;/de>&lt;en>Per-target configuration of message submission regardless of the check results.&lt;/en>&lt;/descriptions>&lt;key>ignoreChecks&lt;/key>&lt;type>table&lt;/type>&lt;displayName>Prüfergebnisse ignorieren&lt;/displayName>&lt;displayDescription>Pro Ziel können die Prüfergebnisse ignoriert werden. Dann kommt es trotz verletzter Prüfregeln zu einem Versand.&lt;/displayDescription>&lt;attributes>&lt;attribute>&lt;labels>&lt;de>Ziel&lt;/de>&lt;en>Target&lt;/en>&lt;/labels>&lt;unique>true&lt;/unique>&lt;required>true&lt;/required>&lt;key>target&lt;/key>&lt;type>enum&lt;/type>&lt;displayName>Ziel&lt;/displayName>&lt;enums>&lt;enum>&lt;key>all&lt;/key>&lt;displayName>Alle&lt;/displayName>&lt;labels>&lt;de>Alle&lt;/de>&lt;en>All&lt;/en>&lt;/labels>&lt;/enum>&lt;/enums>&lt;/attribute>&lt;attribute>&lt;labels>&lt;de>Von (Tag)&lt;/de>&lt;en>From (Day)&lt;/en>&lt;/labels>&lt;required>true&lt;/required>&lt;key>fromDate&lt;/key>&lt;type>date&lt;/type>&lt;displayName>Von (Tag)&lt;/displayName>&lt;/attribute>&lt;attribute>&lt;labels>&lt;de>Von (Zeit)&lt;/de>&lt;en>From (Time)&lt;/en>&lt;/labels>&lt;required>true&lt;/required>&lt;key>fromTime&lt;/key>&lt;type>time&lt;/type>&lt;displayName>Von (Zeit)&lt;/displayName>&lt;/attribute>&lt;attribute>&lt;labels>&lt;de>Bis (Tag)&lt;/de>&lt;en>To (Day)&lt;/en>&lt;/labels>&lt;required>true&lt;/required>&lt;key>toDate&lt;/key>&lt;type>date&lt;/type>&lt;displayName>Bis (Tag)&lt;/displayName>&lt;/attribute>&lt;attribute>&lt;labels>&lt;de>Bis (Zeit)&lt;/de>&lt;en>To (Zeit)&lt;/en>&lt;/labels>&lt;required>true&lt;/required>&lt;key>toTime&lt;/key>&lt;type>time&lt;/type>&lt;displayName>Bis (Zeit)&lt;/displayName>&lt;/attribute>&lt;/attributes>&lt;/attribute>&lt;attribute>&lt;labels>&lt;de>Aktion bei unbekannten Netzpunkten&lt;/de>&lt;en>Action for unknown points&lt;/en>&lt;/labels>&lt;descriptions>&lt;de>Auszuführende Aktion bei unbekannten Netzpunkten&lt;/de>&lt;en>Action for unknown points&lt;/en>&lt;/descriptions>&lt;defaultValue>Ignore&lt;/defaultValue>&lt;key>checkUnknownPointMandant&lt;/key>&lt;type>enum&lt;/type>&lt;displayName>Aktion bei unbekannten Netzpunkten&lt;/displayName>&lt;displayDescription>Auszuführende Aktion bei unbekannten Netzpunkten&lt;/displayDescription>&lt;enums>&lt;enum>&lt;key>Ignore&lt;/key>&lt;displayName>Ignorieren&lt;/displayName>&lt;labels>&lt;de>Ignorieren&lt;/de>&lt;en>Ignore&lt;/en>&lt;/labels>&lt;/enum>&lt;enum>&lt;key>Alert&lt;/key>&lt;displayName>Alarmieren&lt;/displayName>&lt;labels>&lt;de>Alarmieren&lt;/de>&lt;en>Alert&lt;/en>&lt;/labels>&lt;/enum>&lt;enum>&lt;key>Warning&lt;/key>&lt;displayName>Warnung&lt;/displayName>&lt;labels>&lt;de>Warnung&lt;/de>&lt;en>Warning&lt;/en>&lt;/labels>&lt;/enum>&lt;enum>&lt;key>Interaction&lt;/key>&lt;displayName>Freigabe benötigt&lt;/displayName>&lt;labels>&lt;de>Freigabe benötigt&lt;/de>&lt;en>Approval needed&lt;/en>&lt;/labels>&lt;/enum>&lt;enum>&lt;key>Error&lt;/key>&lt;displayName>Abbruch&lt;/displayName>&lt;labels>&lt;de>Abbruch&lt;/de>&lt;en>Abort&lt;/en>&lt;/labels>&lt;/enum>&lt;/enums>&lt;/attribute>&lt;/attributes>&lt;/attribute>&lt;attribute>&lt;labels>&lt;de>Netzpunktsicht&lt;/de>&lt;en>Net Point View&lt;/en>&lt;/labels>&lt;collapsed>true&lt;/collapsed>&lt;key>pointViewProcesses&lt;/key>&lt;type>group&lt;/type>&lt;displayName>Netzpunktsicht&lt;/displayName>&lt;attributes/>&lt;/attribute>&lt;attribute>&lt;labels>&lt;de>Excel-Template-Pfad&lt;/de>&lt;en>Excel Templates Path&lt;/en>&lt;/labels>&lt;descriptions>&lt;de>Pfad im IS-Repository für die Excel-Vorlagen. Staging-Stufe wird angehängt.&lt;/de>&lt;en>Path in IS repository for the Excel templates. Staging level is appended.&lt;/en>&lt;/descriptions>&lt;maxLength>24&lt;/maxLength>&lt;key>excelTemplatesPath&lt;/key>&lt;type>string&lt;/type>&lt;displayName>Excel-Template-Pfad&lt;/displayName>&lt;displayDescription>Pfad im IS-Repository für die Excel-Vorlagen. Staging-Stufe wird angehängt.&lt;/displayDescription>&lt;/attribute>&lt;/versionedAttributes>&lt;unversionedAttributes/>&lt;createdOn>2020-07-22T09:47:32.000Z&lt;/createdOn>&lt;createdByUser>&lt;id>bpcadmin&lt;/id>&lt;displayName>Timo Virt&lt;/displayName>&lt;/createdByUser>&lt;lastUpdatedOn>2020-07-22T09:47:32.000Z&lt;/lastUpdatedOn>&lt;lastUpdatedByUser>&lt;id>bpcadmin&lt;/id>&lt;displayName>Timo Virt&lt;/displayName>&lt;/lastUpdatedByUser>&lt;access>&lt;full>&lt;role>VAM-administrator&lt;/role>&lt;role>VAM-readonly-administrator&lt;/role>&lt;/full>&lt;restricted/>&lt;/access>&lt;children/>&lt;parents/>&lt;computedAccess>&lt;full>&lt;role>VAM-administrator&lt;/role>&lt;role>VAM-readonly-administrator&lt;/role>&lt;/full>&lt;restricted/>&lt;/computedAccess>&lt;/template>&lt;template>&lt;id>3&lt;/id>&lt;customId>LAND&lt;/customId>&lt;colorCode>&lt;xpath>if (/asset/version/versionedAttributes/attribute[key='active']/value = 'true') then '77aa00' else 'ccffaa'&lt;/xpath>&lt;/colorCode>&lt;labels>&lt;de>Land&lt;/de>&lt;en>Country&lt;/en>&lt;/labels>&lt;displayName>Land&lt;/displayName>&lt;actions>&lt;action>&lt;key>die "Meerjungfrau" aufsuchen&lt;/key>&lt;displayName>die "Meerjungfrau" aufsuchen&lt;/displayName>&lt;labels/>&lt;descriptions/>&lt;type>asset&lt;/type>&lt;verbosity>0&lt;/verbosity>&lt;/action>&lt;action>&lt;key>Starten&lt;/key>&lt;displayName>Starten&lt;/displayName>&lt;labels/>&lt;descriptions/>&lt;type>asset&lt;/type>&lt;verbosity>0&lt;/verbosity>&lt;/action>&lt;action>&lt;key>Landen&lt;/key>&lt;displayName>Landen&lt;/displayName>&lt;labels/>&lt;descriptions/>&lt;type>asset&lt;/type>&lt;verbosity>0&lt;/verbosity>&lt;/action>&lt;action>&lt;key>Alles&lt;/key>&lt;displayName>Alles&lt;/displayName>&lt;labels/>&lt;descriptions/>&lt;type>asset&lt;/type>&lt;parameters>&lt;type>static&lt;/type>&lt;attributes/>&lt;attachments>&lt;attribute>&lt;key>daten&lt;/key>&lt;type>string&lt;/type>&lt;displayName>daten&lt;/displayName>&lt;/attribute>&lt;/attachments>&lt;/parameters>&lt;verbosity>0&lt;/verbosity>&lt;/action>&lt;/actions>&lt;customIdAttribute>&lt;unique>true&lt;/unique>&lt;labels>&lt;de>Ben.def. ID&lt;/de>&lt;/labels>&lt;type>string&lt;/type>&lt;displayName>Ben.def. ID&lt;/displayName>&lt;/customIdAttribute>&lt;descriptionAttribute>&lt;hidden>true&lt;/hidden>&lt;type>string&lt;/type>&lt;displayName/>&lt;/descriptionAttribute>&lt;versionedAttributes>&lt;attribute>&lt;key>bpcOrganisation&lt;/key>&lt;type>string&lt;/type>&lt;displayName>bpcOrganisation&lt;/displayName>&lt;/attribute>&lt;attribute>&lt;key>bpcRole&lt;/key>&lt;type>string&lt;/type>&lt;displayName>bpcRole&lt;/displayName>&lt;/attribute>&lt;attribute>&lt;key>bpcRight&lt;/key>&lt;type>string&lt;/type>&lt;displayName>bpcRight&lt;/displayName>&lt;/attribute>&lt;attribute>&lt;labels>&lt;de>A &amp;amp; B sind gut&lt;/de>&lt;/labels>&lt;multiline>true&lt;/multiline>&lt;key>test1&lt;/key>&lt;type>string&lt;/type>&lt;displayName>A &amp;amp; B sind gut&lt;/displayName>&lt;/attribute>&lt;attribute>&lt;isTimeSeries>true&lt;/isTimeSeries>&lt;key>zeitreihe&lt;/key>&lt;type>group&lt;/type>&lt;displayName>zeitreihe&lt;/displayName>&lt;attributes>&lt;attribute>&lt;key>tsmName&lt;/key>&lt;type>string&lt;/type>&lt;displayName>tsmName&lt;/displayName>&lt;/attribute>&lt;/attributes>&lt;/attribute>&lt;attribute>&lt;labels>&lt;de>EIC-Code&lt;/de>&lt;/labels>&lt;maxLength>24&lt;/maxLength>&lt;key>senderCode&lt;/key>&lt;type>string&lt;/type>&lt;displayName>EIC-Code&lt;/displayName>&lt;/attribute>&lt;attribute>&lt;labels>&lt;en>active&lt;/en>&lt;/labels>&lt;defaultValue>true&lt;/defaultValue>&lt;required>true&lt;/required>&lt;key>active&lt;/key>&lt;type>boolean&lt;/type>&lt;displayName>active&lt;/displayName>&lt;/attribute>&lt;attribute>&lt;labels>&lt;de>Mail-Postfach&lt;/de>&lt;en>Mail account&lt;/en>&lt;/labels>&lt;descriptions>&lt;de>Das Mail-Postfach wird zum Beispiel für die Alarmierung verwendet.&lt;/de>&lt;en>This mail account will be used for e.g. alerting notifications.&lt;/en>&lt;/descriptions>&lt;key>mailAddress&lt;/key>&lt;type>string&lt;/type>&lt;displayName>Mail-Postfach&lt;/displayName>&lt;displayDescription>Das Mail-Postfach wird zum Beispiel für die Alarmierung verwendet.&lt;/displayDescription>&lt;/attribute>&lt;attribute>&lt;isTimeSeries>true&lt;/isTimeSeries>&lt;labels>&lt;de>Versand "aussetzen"&lt;/de>&lt;en>Interaction "required" for sending&lt;/en>&lt;/labels>&lt;descriptions>&lt;de>pro Ziel kann der automatische Versand ausgesetzt werden. Dann ist eine manuelle Freigabe von Nachrichten nötig.&lt;/de>&lt;en>Configuration of explicit clearing requirements for sending of messages.&lt;/en>&lt;/descriptions>&lt;key>interactionRequiredForSending&lt;/key>&lt;type>table&lt;/type>&lt;displayName>Versand "aussetzen"&lt;/displayName>&lt;displayDescription>pro Ziel kann der automatische Versand ausgesetzt werden. Dann ist eine manuelle Freigabe von Nachrichten nötig.&lt;/displayDescription>&lt;attributes>&lt;attribute>&lt;labels>&lt;de>Ziel&lt;/de>&lt;en>Target&lt;/en>&lt;/labels>&lt;descriptions>&lt;de>Ziel erfassen!&lt;/de>&lt;en>Enter target!&lt;/en>&lt;/descriptions>&lt;required>true&lt;/required>&lt;defaultValue>all&lt;/defaultValue>&lt;key>value&lt;/key>&lt;type>enum&lt;/type>&lt;displayName>Ziel&lt;/displayName>&lt;displayDescription>Ziel erfassen!&lt;/displayDescription>&lt;enums>&lt;enum>&lt;key>all&lt;/key>&lt;displayName>all&lt;/displayName>&lt;/enum>&lt;enum>&lt;key>some&lt;/key>&lt;displayName>Einige&lt;/displayName>&lt;labels>&lt;de>Einige&lt;/de>&lt;/labels>&lt;/enum>&lt;enum>&lt;key>many&lt;/key>&lt;displayName>many&lt;/displayName>&lt;/enum>&lt;enum>&lt;key>none&lt;/key>&lt;displayName>none&lt;/displayName>&lt;/enum>&lt;enum>&lt;key>almostAll&lt;/key>&lt;displayName>almostAll&lt;/displayName>&lt;/enum>&lt;/enums>&lt;/attribute>&lt;attribute>&lt;labels>&lt;de>Von (Tag)&lt;/de>&lt;en>From (Day)&lt;/en>&lt;/labels>&lt;required>true&lt;/required>&lt;key>from&lt;/key>&lt;type>date&lt;/type>&lt;displayName>Von (Tag)&lt;/displayName>&lt;/attribute>&lt;attribute>&lt;labels>&lt;de>Bis (Tag)&lt;/de>&lt;en>To (Day)&lt;/en>&lt;/labels>&lt;required>true&lt;/required>&lt;key>to&lt;/key>&lt;type>date&lt;/type>&lt;displayName>Bis (Tag)&lt;/displayName>&lt;/attribute>&lt;/attributes>&lt;/attribute>&lt;attribute>&lt;labels>&lt;de>Prüfungen&lt;/de>&lt;en>Checks&lt;/en>&lt;/labels>&lt;key>checkGroup&lt;/key>&lt;type>group&lt;/type>&lt;displayName>Prüfungen&lt;/displayName>&lt;attributes>&lt;attribute>&lt;labels>&lt;de>Prüfergebnisse ignorieren&lt;/de>&lt;en>Ignore check results&lt;/en>&lt;/labels>&lt;descriptions>&lt;de>Pro Ziel können die Prüfergebnisse ignoriert werden. Dann kommt es trotz verletzter Prüfregeln zu einem Versand.&lt;/de>&lt;en>Per-target configuration of message submission regardless of the check results.&lt;/en>&lt;/descriptions>&lt;key>ignoreChecks&lt;/key>&lt;type>table&lt;/type>&lt;displayName>Prüfergebnisse ignorieren&lt;/displayName>&lt;displayDescription>Pro Ziel können die Prüfergebnisse ignoriert werden. Dann kommt es trotz verletzter Prüfregeln zu einem Versand.&lt;/displayDescription>&lt;attributes>&lt;attribute>&lt;labels>&lt;de>Ziel&lt;/de>&lt;en>Target&lt;/en>&lt;/labels>&lt;unique>true&lt;/unique>&lt;required>true&lt;/required>&lt;key>target&lt;/key>&lt;type>enum&lt;/type>&lt;displayName>Ziel&lt;/displayName>&lt;enums>&lt;enum>&lt;key>all&lt;/key>&lt;displayName>Alle&lt;/displayName>&lt;labels>&lt;de>Alle&lt;/de>&lt;en>All&lt;/en>&lt;/labels>&lt;/enum>&lt;/enums>&lt;/attribute>&lt;attribute>&lt;labels>&lt;de>Von (Tag)&lt;/de>&lt;en>From (Day)&lt;/en>&lt;/labels>&lt;required>true&lt;/required>&lt;key>fromDate&lt;/key>&lt;type>date&lt;/type>&lt;displayName>Von (Tag)&lt;/displayName>&lt;/attribute>&lt;attribute>&lt;labels>&lt;de>Von (Zeit)&lt;/de>&lt;en>From (Time)&lt;/en>&lt;/labels>&lt;required>true&lt;/required>&lt;key>fromTime&lt;/key>&lt;type>time&lt;/type>&lt;displayName>Von (Zeit)&lt;/displayName>&lt;/attribute>&lt;attribute>&lt;labels>&lt;de>Bis (Tag)&lt;/de>&lt;en>To (Day)&lt;/en>&lt;/labels>&lt;required>true&lt;/required>&lt;key>toDate&lt;/key>&lt;type>date&lt;/type>&lt;displayName>Bis (Tag)&lt;/displayName>&lt;/attribute>&lt;attribute>&lt;labels>&lt;de>Bis (Zeit)&lt;/de>&lt;en>To (Zeit)&lt;/en>&lt;/labels>&lt;required>true&lt;/required>&lt;key>toTime&lt;/key>&lt;type>time&lt;/type>&lt;displayName>Bis (Zeit)&lt;/displayName>&lt;/attribute>&lt;/attributes>&lt;/attribute>&lt;attribute>&lt;labels>&lt;de>Aktion bei unbekannten Netzpunkten&lt;/de>&lt;en>Action for unknown points&lt;/en>&lt;/labels>&lt;descriptions>&lt;de>Auszuführende Aktion bei unbekannten Netzpunkten&lt;/de>&lt;en>Action for unknown points&lt;/en>&lt;/descriptions>&lt;defaultValue>Ignore&lt;/defaultValue>&lt;key>checkUnknownPointMandant&lt;/key>&lt;type>enum&lt;/type>&lt;displayName>Aktion bei unbekannten Netzpunkten&lt;/displayName>&lt;displayDescription>Auszuführende Aktion bei unbekannten Netzpunkten&lt;/displayDescription>&lt;enums>&lt;enum>&lt;key>Ignore&lt;/key>&lt;displayName>Ignorieren&lt;/displayName>&lt;labels>&lt;de>Ignorieren&lt;/de>&lt;en>Ignore&lt;/en>&lt;/labels>&lt;/enum>&lt;enum>&lt;key>Alert&lt;/key>&lt;displayName>Alarmieren&lt;/displayName>&lt;labels>&lt;de>Alarmieren&lt;/de>&lt;en>Alert&lt;/en>&lt;/labels>&lt;/enum>&lt;enum>&lt;key>Warning&lt;/key>&lt;displayName>Warnung&lt;/displayName>&lt;labels>&lt;de>Warnung&lt;/de>&lt;en>Warning&lt;/en>&lt;/labels>&lt;/enum>&lt;enum>&lt;key>Interaction&lt;/key>&lt;displayName>Freigabe benötigt&lt;/displayName>&lt;labels>&lt;de>Freigabe benötigt&lt;/de>&lt;en>Approval needed&lt;/en>&lt;/labels>&lt;/enum>&lt;enum>&lt;key>Error&lt;/key>&lt;displayName>Abbruch&lt;/displayName>&lt;labels>&lt;de>Abbruch&lt;/de>&lt;en>Abort&lt;/en>&lt;/labels>&lt;/enum>&lt;/enums>&lt;/attribute>&lt;/attributes>&lt;/attribute>&lt;attribute>&lt;labels>&lt;de>Netzpunktsicht&lt;/de>&lt;en>Net Point View&lt;/en>&lt;/labels>&lt;collapsed>true&lt;/collapsed>&lt;key>pointViewProcesses&lt;/key>&lt;type>group&lt;/type>&lt;displayName>Netzpunktsicht&lt;/displayName>&lt;attributes/>&lt;/attribute>&lt;attribute>&lt;labels>&lt;de>Excel-Template-Pfad&lt;/de>&lt;en>Excel Templates Path&lt;/en>&lt;/labels>&lt;descriptions>&lt;de>Pfad im IS-Repository für die Excel-Vorlagen. Staging-Stufe wird angehängt.&lt;/de>&lt;en>Path in IS repository for the Excel templates. Staging level is appended.&lt;/en>&lt;/descriptions>&lt;maxLength>24&lt;/maxLength>&lt;key>excelTemplatesPath&lt;/key>&lt;type>string&lt;/type>&lt;displayName>Excel-Template-Pfad&lt;/displayName>&lt;displayDescription>Pfad im IS-Repository für die Excel-Vorlagen. Staging-Stufe wird angehängt.&lt;/displayDescription>&lt;/attribute>&lt;/versionedAttributes>&lt;unversionedAttributes/>&lt;createdOn>2020-07-22T09:47:44.000Z&lt;/createdOn>&lt;createdByUser>&lt;id>bpcadmin&lt;/id>&lt;displayName>Timo Virt&lt;/displayName>&lt;/createdByUser>&lt;lastUpdatedOn>2020-07-22T09:47:44.000Z&lt;/lastUpdatedOn>&lt;lastUpdatedByUser>&lt;id>bpcadmin&lt;/id>&lt;displayName>Timo Virt&lt;/displayName>&lt;/lastUpdatedByUser>&lt;access>&lt;full>&lt;role>VAM-administrator&lt;/role>&lt;role>VAM-readonly-administrator&lt;/role>&lt;/full>&lt;restricted/>&lt;/access>&lt;children/>&lt;parents/>&lt;computedAccess>&lt;full>&lt;role>VAM-administrator&lt;/role>&lt;role>VAM-readonly-administrator&lt;/role>&lt;/full>&lt;restricted/>&lt;/computedAccess>&lt;/template>&lt;/templates></Property>
		<Property name="templateId">1</Property>
		<Property name="ISXMLValidatorError">false</Property>
		<Property name="ISXMLValidatorErrorString"></Property>
		<Property name="furtherInformation" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;root>&lt;resultSet queryID="children"/>&lt;resultSet queryID="parentAssetQuantities"/>&lt;resultSet queryID="parentAssetMaxima"/>&lt;/root></Property>
		<Property name="assetBeforeUpdate" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;asset>&lt;version>&lt;customId/>&lt;description/>&lt;customAttributes/>&lt;versionedAttributes>&lt;attribute>&lt;key>active&lt;/key>&lt;value>true&lt;/value>&lt;/attribute>&lt;attribute>&lt;key>name&lt;/key>&lt;value/>&lt;/attribute>&lt;attribute>&lt;key>plz&lt;/key>&lt;value/>&lt;/attribute>&lt;attribute>&lt;key>area&lt;/key>&lt;value/>&lt;/attribute>&lt;attribute>&lt;key>population&lt;/key>&lt;value/>&lt;/attribute>&lt;attribute>&lt;key>mailAddress&lt;/key>&lt;value/>&lt;/attribute>&lt;attribute>&lt;key>interactionRequiredForSending&lt;/key>&lt;value/>&lt;/attribute>&lt;attribute>&lt;key>checkGroup&lt;/key>&lt;attributes>&lt;attribute>&lt;key>ignoreChecks&lt;/key>&lt;value/>&lt;/attribute>&lt;attribute>&lt;key>checkUnknownPointMandant&lt;/key>&lt;value>Ignore&lt;/value>&lt;/attribute>&lt;/attributes>&lt;/attribute>&lt;attribute>&lt;key>excelTemplatesPath&lt;/key>&lt;value/>&lt;/attribute>&lt;/versionedAttributes>&lt;childTemplates/>&lt;/version>&lt;unversionedAttributes/>&lt;parentTemplates/>&lt;/asset></Property>
		<Property name="colorCode"></Property>
		<Property name="var.customDisplayName"></Property>
		<Property name="var.newCustomId">787878</Property>
		<Property name="var.template" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;template>&lt;id>1&lt;/id>&lt;customId>GEMEINDE&lt;/customId>&lt;colorCode>&lt;xpath/>&lt;/colorCode>&lt;labels>&lt;de>Gemeinde&lt;/de>&lt;en>Commune&lt;/en>&lt;/labels>&lt;displayName>Gemeinde&lt;/displayName>&lt;actions/>&lt;customIdAttribute>&lt;formula>&lt;xpath>concat(/asset/version/versionedAttributes/attribute[key='plz']/value, ' ', /asset/version/versionedAttributes/attribute[key='name']/value)&lt;/xpath>&lt;/formula>&lt;hidden>true&lt;/hidden>&lt;type>string&lt;/type>&lt;displayName/>&lt;/customIdAttribute>&lt;versionedAttributes>&lt;attribute>&lt;labels>&lt;en>active&lt;/en>&lt;/labels>&lt;defaultValue>true&lt;/defaultValue>&lt;required>true&lt;/required>&lt;key>active&lt;/key>&lt;type>boolean&lt;/type>&lt;displayName>active&lt;/displayName>&lt;/attribute>&lt;attribute>&lt;key>name&lt;/key>&lt;type>string&lt;/type>&lt;displayName>name&lt;/displayName>&lt;/attribute>&lt;attribute>&lt;maxLength>5&lt;/maxLength>&lt;key>plz&lt;/key>&lt;type>string&lt;/type>&lt;displayName>plz&lt;/displayName>&lt;/attribute>&lt;attribute>&lt;decimalPlaces>2&lt;/decimalPlaces>&lt;key>area&lt;/key>&lt;type>number&lt;/type>&lt;displayName>area&lt;/displayName>&lt;/attribute>&lt;attribute>&lt;key>population&lt;/key>&lt;type>number&lt;/type>&lt;displayName>population&lt;/displayName>&lt;/attribute>&lt;attribute>&lt;labels>&lt;de>Mail-Postfach&lt;/de>&lt;en>Mail account&lt;/en>&lt;/labels>&lt;descriptions>&lt;de>Das Mail-Postfach wird zum Beispiel für die Alarmierung verwendet.&lt;/de>&lt;en>This mail account will be used for e.g. alerting notifications.&lt;/en>&lt;/descriptions>&lt;key>mailAddress&lt;/key>&lt;type>string&lt;/type>&lt;displayName>Mail-Postfach&lt;/displayName>&lt;displayDescription>Das Mail-Postfach wird zum Beispiel für die Alarmierung verwendet.&lt;/displayDescription>&lt;/attribute>&lt;attribute>&lt;isTimeSeries>true&lt;/isTimeSeries>&lt;labels>&lt;de>Versand aussetzen&lt;/de>&lt;en>Interaction required for sending&lt;/en>&lt;/labels>&lt;descriptions>&lt;de>pro Ziel kann der automatische Versand ausgesetzt werden. Dann ist eine manuelle Freigabe von Nachrichten nötig.&lt;/de>&lt;en>Configuration of explicit clearing requirements for sending of messages.&lt;/en>&lt;/descriptions>&lt;key>interactionRequiredForSending&lt;/key>&lt;type>table&lt;/type>&lt;displayName>Versand aussetzen&lt;/displayName>&lt;displayDescription>pro Ziel kann der automatische Versand ausgesetzt werden. Dann ist eine manuelle Freigabe von Nachrichten nötig.&lt;/displayDescription>&lt;attributes>&lt;attribute>&lt;labels>&lt;de>Ziel&lt;/de>&lt;en>Target&lt;/en>&lt;/labels>&lt;descriptions>&lt;de>Ziel erfassen!&lt;/de>&lt;en>Enter target!&lt;/en>&lt;/descriptions>&lt;required>true&lt;/required>&lt;defaultValue>all&lt;/defaultValue>&lt;key>value&lt;/key>&lt;type>enum&lt;/type>&lt;displayName>Ziel&lt;/displayName>&lt;displayDescription>Ziel erfassen!&lt;/displayDescription>&lt;enums>&lt;enum>&lt;key>all&lt;/key>&lt;displayName>all&lt;/displayName>&lt;/enum>&lt;enum>&lt;key>some&lt;/key>&lt;displayName>Einige&lt;/displayName>&lt;labels>&lt;de>Einige&lt;/de>&lt;/labels>&lt;/enum>&lt;enum>&lt;key>many&lt;/key>&lt;displayName>many&lt;/displayName>&lt;/enum>&lt;enum>&lt;key>none&lt;/key>&lt;displayName>none&lt;/displayName>&lt;/enum>&lt;enum>&lt;key>almostAll&lt;/key>&lt;displayName>almostAll&lt;/displayName>&lt;/enum>&lt;/enums>&lt;/attribute>&lt;attribute>&lt;labels>&lt;de>Von (Tag)&lt;/de>&lt;en>From (Day)&lt;/en>&lt;/labels>&lt;required>true&lt;/required>&lt;key>from&lt;/key>&lt;type>date&lt;/type>&lt;displayName>Von (Tag)&lt;/displayName>&lt;/attribute>&lt;attribute>&lt;labels>&lt;de>Bis (Tag)&lt;/de>&lt;en>To (Day)&lt;/en>&lt;/labels>&lt;required>true&lt;/required>&lt;key>to&lt;/key>&lt;type>date&lt;/type>&lt;displayName>Bis (Tag)&lt;/displayName>&lt;/attribute>&lt;/attributes>&lt;/attribute>&lt;attribute>&lt;labels>&lt;de>Prüfungen&lt;/de>&lt;en>Checks&lt;/en>&lt;/labels>&lt;key>checkGroup&lt;/key>&lt;type>group&lt;/type>&lt;displayName>Prüfungen&lt;/displayName>&lt;attributes>&lt;attribute>&lt;labels>&lt;de>Prüfergebnisse ignorieren&lt;/de>&lt;en>Ignore check results&lt;/en>&lt;/labels>&lt;descriptions>&lt;de>Pro Ziel können die Prüfergebnisse ignoriert werden. Dann kommt es trotz verletzter Prüfregeln zu einem Versand.&lt;/de>&lt;en>Per-target configuration of message submission regardless of the check results.&lt;/en>&lt;/descriptions>&lt;key>ignoreChecks&lt;/key>&lt;type>table&lt;/type>&lt;displayName>Prüfergebnisse ignorieren&lt;/displayName>&lt;displayDescription>Pro Ziel können die Prüfergebnisse ignoriert werden. Dann kommt es trotz verletzter Prüfregeln zu einem Versand.&lt;/displayDescription>&lt;attributes>&lt;attribute>&lt;labels>&lt;de>Ziel&lt;/de>&lt;en>Target&lt;/en>&lt;/labels>&lt;unique>true&lt;/unique>&lt;required>true&lt;/required>&lt;key>target&lt;/key>&lt;type>enum&lt;/type>&lt;displayName>Ziel&lt;/displayName>&lt;enums>&lt;enum>&lt;key>all&lt;/key>&lt;displayName>Alle&lt;/displayName>&lt;labels>&lt;de>Alle&lt;/de>&lt;en>All&lt;/en>&lt;/labels>&lt;/enum>&lt;/enums>&lt;/attribute>&lt;attribute>&lt;labels>&lt;de>Von (Tag)&lt;/de>&lt;en>From (Day)&lt;/en>&lt;/labels>&lt;required>true&lt;/required>&lt;key>fromDate&lt;/key>&lt;type>date&lt;/type>&lt;displayName>Von (Tag)&lt;/displayName>&lt;/attribute>&lt;attribute>&lt;labels>&lt;de>Von (Zeit)&lt;/de>&lt;en>From (Time)&lt;/en>&lt;/labels>&lt;required>true&lt;/required>&lt;key>fromTime&lt;/key>&lt;type>time&lt;/type>&lt;displayName>Von (Zeit)&lt;/displayName>&lt;/attribute>&lt;attribute>&lt;labels>&lt;de>Bis (Tag)&lt;/de>&lt;en>To (Day)&lt;/en>&lt;/labels>&lt;required>true&lt;/required>&lt;key>toDate&lt;/key>&lt;type>date&lt;/type>&lt;displayName>Bis (Tag)&lt;/displayName>&lt;/attribute>&lt;attribute>&lt;labels>&lt;de>Bis (Zeit)&lt;/de>&lt;en>To (Zeit)&lt;/en>&lt;/labels>&lt;required>true&lt;/required>&lt;key>toTime&lt;/key>&lt;type>time&lt;/type>&lt;displayName>Bis (Zeit)&lt;/displayName>&lt;/attribute>&lt;/attributes>&lt;/attribute>&lt;attribute>&lt;labels>&lt;de>Aktion bei unbekannten Netzpunkten&lt;/de>&lt;en>Action for unknown points&lt;/en>&lt;/labels>&lt;descriptions>&lt;de>Auszuführende Aktion bei unbekannten Netzpunkten&lt;/de>&lt;en>Action for unknown points&lt;/en>&lt;/descriptions>&lt;defaultValue>Ignore&lt;/defaultValue>&lt;key>checkUnknownPointMandant&lt;/key>&lt;type>enum&lt;/type>&lt;displayName>Aktion bei unbekannten Netzpunkten&lt;/displayName>&lt;displayDescription>Auszuführende Aktion bei unbekannten Netzpunkten&lt;/displayDescription>&lt;enums>&lt;enum>&lt;key>Ignore&lt;/key>&lt;displayName>Ignorieren&lt;/displayName>&lt;labels>&lt;de>Ignorieren&lt;/de>&lt;en>Ignore&lt;/en>&lt;/labels>&lt;/enum>&lt;enum>&lt;key>Alert&lt;/key>&lt;displayName>Alarmieren&lt;/displayName>&lt;labels>&lt;de>Alarmieren&lt;/de>&lt;en>Alert&lt;/en>&lt;/labels>&lt;/enum>&lt;enum>&lt;key>Warning&lt;/key>&lt;displayName>Warnung&lt;/displayName>&lt;labels>&lt;de>Warnung&lt;/de>&lt;en>Warning&lt;/en>&lt;/labels>&lt;/enum>&lt;enum>&lt;key>Interaction&lt;/key>&lt;displayName>Freigabe benötigt&lt;/displayName>&lt;labels>&lt;de>Freigabe benötigt&lt;/de>&lt;en>Approval needed&lt;/en>&lt;/labels>&lt;/enum>&lt;enum>&lt;key>Error&lt;/key>&lt;displayName>Abbruch&lt;/displayName>&lt;labels>&lt;de>Abbruch&lt;/de>&lt;en>Abort&lt;/en>&lt;/labels>&lt;/enum>&lt;/enums>&lt;/attribute>&lt;/attributes>&lt;/attribute>&lt;attribute>&lt;labels>&lt;de>Excel-Template-Pfad&lt;/de>&lt;en>Excel Templates Path&lt;/en>&lt;/labels>&lt;descriptions>&lt;de>Pfad im IS-Repository für die Excel-Vorlagen. Staging-Stufe wird angehängt.&lt;/de>&lt;en>Path in IS repository for the Excel templates. Staging level is appended.&lt;/en>&lt;/descriptions>&lt;maxLength>24&lt;/maxLength>&lt;key>excelTemplatesPath&lt;/key>&lt;type>string&lt;/type>&lt;displayName>Excel-Template-Pfad&lt;/displayName>&lt;displayDescription>Pfad im IS-Repository für die Excel-Vorlagen. Staging-Stufe wird angehängt.&lt;/displayDescription>&lt;/attribute>&lt;/versionedAttributes>&lt;unversionedAttributes/>&lt;createdOn>2020-07-22T09:42:34.000Z&lt;/createdOn>&lt;createdByUser>&lt;id>bpcadmin&lt;/id>&lt;displayName>Timo Virt&lt;/displayName>&lt;/createdByUser>&lt;lastUpdatedOn>2020-07-22T09:42:34.000Z&lt;/lastUpdatedOn>&lt;lastUpdatedByUser>&lt;id>bpcadmin&lt;/id>&lt;displayName>Timo Virt&lt;/displayName>&lt;/lastUpdatedByUser>&lt;access>&lt;full>&lt;role>VAM-administrator&lt;/role>&lt;role>VAM-readonly-administrator&lt;/role>&lt;/full>&lt;restricted/>&lt;/access>&lt;children/>&lt;parents/>&lt;computedAccess>&lt;full>&lt;role>VAM-administrator&lt;/role>&lt;role>VAM-readonly-administrator&lt;/role>&lt;/full>&lt;restricted/>&lt;/computedAccess>&lt;/template></Property>
		<Property name="var.asset" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;asset>&lt;unversionedAttributes/>&lt;version>&lt;customId> &lt;/customId>&lt;description/>&lt;childTemplates/>&lt;versionedAttributes>&lt;attribute>&lt;key>active&lt;/key>&lt;value>true&lt;/value>&lt;/attribute>&lt;attribute>&lt;key>name&lt;/key>&lt;value/>&lt;/attribute>&lt;attribute>&lt;key>plz&lt;/key>&lt;value/>&lt;/attribute>&lt;attribute>&lt;key>area&lt;/key>&lt;value/>&lt;/attribute>&lt;attribute>&lt;key>population&lt;/key>&lt;value/>&lt;/attribute>&lt;attribute>&lt;key>mailAddress&lt;/key>&lt;value/>&lt;/attribute>&lt;attribute>&lt;key>interactionRequiredForSending&lt;/key>&lt;value>&lt;rows/>&lt;/value>&lt;/attribute>&lt;attribute>&lt;key>checkGroup&lt;/key>&lt;attributes>&lt;attribute>&lt;key>ignoreChecks&lt;/key>&lt;value>&lt;rows/>&lt;/value>&lt;/attribute>&lt;attribute>&lt;key>checkUnknownPointMandant&lt;/key>&lt;value>Ignore&lt;/value>&lt;/attribute>&lt;/attributes>&lt;/attribute>&lt;attribute>&lt;key>excelTemplatesPath&lt;/key>&lt;value/>&lt;/attribute>&lt;/versionedAttributes>&lt;customAttributes/>&lt;/version>&lt;/asset></Property>
		<Property name="var.session" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;session>&lt;request>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>create&lt;/method>&lt;parameters>&lt;asset>&lt;version>&lt;childTemplates/>&lt;description/>&lt;customAttributes/>&lt;versionedAttributes>&lt;attribute>&lt;key>active&lt;/key>&lt;value>true&lt;/value>&lt;/attribute>&lt;attribute>&lt;key>name&lt;/key>&lt;value/>&lt;/attribute>&lt;attribute>&lt;key>plz&lt;/key>&lt;value/>&lt;/attribute>&lt;attribute>&lt;key>area&lt;/key>&lt;value/>&lt;/attribute>&lt;attribute>&lt;key>population&lt;/key>&lt;value/>&lt;/attribute>&lt;attribute>&lt;key>mailAddress&lt;/key>&lt;value/>&lt;/attribute>&lt;attribute>&lt;key>interactionRequiredForSending&lt;/key>&lt;value>&lt;rows/>&lt;/value>&lt;/attribute>&lt;attribute>&lt;key>checkGroup&lt;/key>&lt;attributes>&lt;attribute>&lt;key>ignoreChecks&lt;/key>&lt;value>&lt;rows/>&lt;/value>&lt;/attribute>&lt;attribute>&lt;key>checkUnknownPointMandant&lt;/key>&lt;value>Ignore&lt;/value>&lt;/attribute>&lt;/attributes>&lt;/attribute>&lt;attribute>&lt;key>excelTemplatesPath&lt;/key>&lt;value/>&lt;/attribute>&lt;/versionedAttributes>&lt;/version>&lt;unversionedAttributes/>&lt;/asset>&lt;versionComment/>&lt;return>true&lt;/return>&lt;returnParameters>&lt;updatedOn>HEAD&lt;/updatedOn>&lt;withoutHiddenAttributes>true&lt;/withoutHiddenAttributes>&lt;other>PREVIOUS&lt;/other>&lt;/returnParameters>&lt;templateId>1&lt;/templateId>&lt;/parameters>&lt;withUser>false&lt;/withUser>&lt;startTimestamp>1595607130777&lt;/startTimestamp>&lt;/request>&lt;configuration>&lt;api>&lt;database>&lt;type>mssql&lt;/type>&lt;default>&lt;alertTimeout>20&lt;/alertTimeout>&lt;queryTimeout>60&lt;/queryTimeout>&lt;/default>&lt;/database>&lt;entity>&lt;validate>false&lt;/validate>&lt;/entity>&lt;response>&lt;debuggingInformation>false&lt;/debuggingInformation>&lt;format>false&lt;/format>&lt;validate>true&lt;/validate>&lt;/response>&lt;user>&lt;maxAge>P0DT2H0M5S&lt;/maxAge>&lt;/user>&lt;technicalUser>&lt;loginName>sys&lt;/loginName>&lt;/technicalUser>&lt;alerting>&lt;recipient>&lt;eMailAddress>kaufhold@virtimo.de &lt;/eMailAddress>&lt;/recipient>&lt;mail>&lt;host>smtp.googlemail.com&lt;/host>&lt;sender>&lt;eMailAddress>jochen@virtimo.net &lt;/eMailAddress>&lt;/sender>&lt;debuggingInformation>true&lt;/debuggingInformation>&lt;/mail>&lt;/alerting>&lt;backend>&lt;imnot>&lt;url>https://localhost:7080/im/1/rest/&lt;/url>&lt;/imnot>&lt;bpc>&lt;hosts>&lt;item>&lt;key>dev04.virtimo.net:8191&lt;/key>&lt;url>http://localhost:8191/cxf/bpc-core/authentication&lt;/url>&lt;/item>&lt;item>&lt;key>dev04.virtimo.net:38181&lt;/key>&lt;url>http://localhost:38181/cxf/bpc-core/authentication&lt;/url>&lt;/item>&lt;item>&lt;key>mpm-dev.virtimo.net:8181&lt;/key>&lt;url>http://mpm-dev.virtimo.net:8181/cxf/bpc-core/authentication&lt;/url>&lt;/item>&lt;/hosts>&lt;/bpc>&lt;/backend>&lt;/api>&lt;am>&lt;entity>&lt;validate>false&lt;/validate>&lt;/entity>&lt;technicalUser>&lt;loginName>sys&lt;/loginName>&lt;/technicalUser>&lt;/am>&lt;userGroupName>VAM&lt;/userGroupName>&lt;/configuration>&lt;user>&lt;id>bpcadmin&lt;/id>&lt;displayName>Timo Virt&lt;/displayName>&lt;loginName>bpcadmin&lt;/loginName>&lt;name>Timo Virt&lt;/name>&lt;eMailAddress/>&lt;active>true&lt;/active>&lt;roles>&lt;role>aClientRole&lt;/role>&lt;role>aRealmRole&lt;/role>&lt;role>BGroß&lt;/role>&lt;role>bKlein&lt;/role>&lt;role>bpcadmin&lt;/role>&lt;role>bpcuser&lt;/role>&lt;role>fullmetaljacket&lt;/role>&lt;role>halloQuan&lt;/role>&lt;role>offline_access&lt;/role>&lt;role>uma_authorization&lt;/role>&lt;role>VAM-administrator&lt;/role>&lt;role>VAM_organization_ckfest&lt;/role>&lt;role>VAM_organization_cktest&lt;/role>&lt;/roles>&lt;permissions>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method&gt;create&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>delete&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>executeAction&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>get&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>getActionAttributes&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>query&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>asset&lt;/context>&lt;method>update&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>create&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>delete&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>get&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>query&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>query&lt;/context>&lt;method>update&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>create&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>delete&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>executeAction&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>get&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>getActionAttributes&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>getImage&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>query&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>setImage&lt;/method>&lt;/permission>&lt;permission>&lt;module>am&lt;/module>&lt;context>template&lt;/context>&lt;method>update&lt;/method>&lt;/permission>&lt;permission>&lt;module>api&lt;/module>&lt;context>organization&lt;/context>&lt;method>getConfiguration&lt;/method>&lt;/permission>&lt;permission>&lt;module>api&lt;/module&gt;&lt;context>organization&lt;/context>&lt;method>setConfiguration&lt;/method>&lt;/permission>&lt;permission>&lt;module>api&lt;/module>&lt;context>organization&lt;/context>&lt;method>setName&lt;/method>&lt;/permission>&lt;/permissions>&lt;organizations>&lt;organization>&lt;id>cktest&lt;/id>&lt;displayName>cktest&lt;/displayName>&lt;name/>&lt;configuration/>&lt;active>true&lt;/active>&lt;/organization>&lt;/organizations>&lt;locale>de&lt;/locale>&lt;language>de&lt;/language>&lt;country/>&lt;/user>&lt;/session></Property>
	</Property>
	<Property name="xslt.stylesheet" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:isxp="java:com.inubit.ibis.xsltext.ISFunctions" xmlns:am="http://www.bosch-si.com/2013/AM" xmlns:saxon="http://saxon.sf.net/" exclude-result-prefixes="#all" version="2.0">&lt;xsl:import href="inubitmodule://VAM_api_XSLT_Tools"/>
  
  
  &lt;xsl:output method="xml" encoding="UTF-8"/>&lt;xsl:param name="var.colorCode"/>&lt;xsl:param name="var.customDisplayName"/>&lt;xsl:param name="var.newCustomId"/>
  &lt;xsl:param name="var.asset" as="element()"/>
  &lt;xsl:param name="var.session" as="element()"/>
  &lt;xsl:param name="var.template" as="element()"/>

  &lt;xsl:template match="/">&lt;xsl:variable name="var.versionComment" select="string($var.session/request/parameters/versionComment)"/>
    &lt;xsl:variable name="currentDateTime" select="am:currentDateTimeForDB()"/>
    &lt;queries>&lt;xsl:if test="$var.template/customIdAttribute/unique = 'true' and $var.newCustomId != ''">&lt;xsl:copy-of select="am:checkDuplicateCustomId($var.template/id, $var.newCustomId, '')"/>&lt;/xsl:if>&lt;xsl:variable name="var.queries" as="element()*">&lt;query properties="force" queryID="asset">&lt;xsl:variable name="displayName" select="if ($var.customDisplayName != '') then $var.customDisplayName else if (string-length($var.asset/version/customId/text()) &amp;gt; 0) then $var.asset/version/customId/text() else substring($var.asset/version/description, 1, 256)"/>&lt;value>&lt;xsl:text>
insert into assets (
  organizationId,
  id,
  colorCode_value,
  displayName,
  customId,
  description,
  templateId,
  versionedAttributes,
  &lt;/xsl:text>&lt;xsl:choose>&lt;xsl:when test="$databaseType = 'mssql' ">&lt;xsl:if test="$var.session/configuration/api/database/featureQueryNG = 'true'">&lt;xsl:value-of select="concat('versionedAttributes', $var.template/id, ',')"/>&lt;/xsl:if>&lt;/xsl:when>&lt;xsl:when test="$databaseType = 'postgresql'">&lt;xsl:text>vajson,&lt;/xsl:text>&lt;/xsl:when>&lt;xsl:otherwise>&lt;xsl:text>versionedAttributes2,&lt;/xsl:text>&lt;/xsl:otherwise>&lt;/xsl:choose>&lt;xsl:text>  children_joinedDisplayNames,
  unversionedAttributes,
  activeversion,
  headversion,
  createdOn,
  createdByUserId,
  lastUpdatedOn,
  lastUpdatedByUserId,
  versionComment,
  ctxDummy
) values (
  &lt;/xsl:text>&lt;xsl:value-of select="am:stringToDB($var.session/user/organizations/organization/id), am:comma()"/>&lt;xsl:value-of select="am:nextID('assets_seq'), am:comma()"/>&lt;xsl:choose>
    &lt;xsl:when test="$var.template/colorCode/xpath != ''">&lt;xsl:value-of select="am:stringToDB($var.colorCode)"/>&lt;/xsl:when>
    &lt;xsl:otherwise>null&lt;/xsl:otherwise>
  &lt;/xsl:choose>&lt;xsl:value-of select="am:comma()"/>

  &lt;xsl:choose>
    &lt;xsl:when test="string-length($displayName) &amp;gt; 0">&lt;xsl:value-of select="am:stringToDB($displayName), am:comma()"/>&lt;/xsl:when>
    &lt;xsl:otherwise>&lt;xsl:value-of select="am:concatSQLStrings((am:stringToDB('Element '), am:newIDValue('assets_seq'))), am:comma()"/>&lt;/xsl:otherwise>
  &lt;/xsl:choose>&lt;xsl:value-of select="am:stringToDB($var.asset/version/customId), am:comma()"/>&lt;xsl:value-of select="am:multilineStringToDB($var.asset/version/description), am:comma()"/>&lt;xsl:value-of select="am:numberToDB($var.template/id), am:comma()"/>&lt;xsl:value-of select="am:nodeToDB(am:attributesToPersistentForm($var.asset,  $var.asset/version/versionedAttributes, $var.template/versionedAttributes)), am:comma()"/>&lt;xsl:choose>&lt;xsl:when test="$databaseType = 'postgresql'">&lt;xsl:value-of select="am:multilineStringToDB(am:attributesToPersistentForm3($var.template,  $var.asset/version/versionedAttributes, $var.template/versionedAttributes)), am:comma()"/>&lt;/xsl:when>&lt;xsl:when test="$databaseType = 'mssql'  and not($var.session/configuration/api/database/featureQueryNG = 'true')">&lt;!--wird nicht geschrieben-->&lt;/xsl:when>&lt;xsl:otherwise>&lt;xsl:value-of select="am:nodeToDB(am:attributesToPersistentForm2($var.template,  $var.asset/version/versionedAttributes, $var.template/versionedAttributes)), am:comma()"/>&lt;/xsl:otherwise>&lt;/xsl:choose>&lt;xsl:value-of select="am:explicitChildrenDisplayNames($var.asset/version/childTemplates/template/assets/asset), am:comma()"/>&lt;xsl:value-of select="am:nodeToDB(am:attributesToPersistentForm($var.asset,  $var.asset/unversionedAttributes, $var.template/unversionedAttributes)), am:comma()"/>&lt;xsl:value-of select="am:timestampToDB($currentDateTime), am:comma()"/>&lt;xsl:value-of select="am:timestampToDB($currentDateTime), am:comma()"/>&lt;xsl:value-of select="am:timestampToDB($currentDateTime), am:comma()"/>&lt;xsl:value-of select="am:stringToDB($var.session/user/id), am:comma()"/>&lt;xsl:value-of select="am:timestampToDB($currentDateTime), am:comma()"/>&lt;xsl:value-of select="am:stringToDB($var.session/user/id), am:comma()"/>&lt;xsl:value-of select="am:multilineStringToDB($var.versionComment), am:comma()"/>&lt;xsl:text>  ' '
)
        &lt;/xsl:text>&lt;/value>

      &lt;/query>&lt;xsl:for-each select="$var.asset/version/childTemplates/template/assets/asset">
        &lt;query properties="force" queryID="{concat('insertChild', position() - 1)}">&lt;value>&lt;xsl:text>
insert into ass_children (
  assetId,
  childAssetId,
  linkedFrom,
  linkedTo
) values (

  &lt;/xsl:text>&lt;xsl:value-of select="am:newIDValue('assets_seq')"/>&lt;xsl:text>, &lt;/xsl:text>&lt;xsl:value-of select="am:numberToDB(id), am:comma()"/>&lt;xsl:value-of select="am:timestampToDB(linkedFrom), am:comma()"/>&lt;xsl:value-of select="am:timestampToDB(linkedTo)"/>&lt;xsl:text>
)
          &lt;/xsl:text>&lt;/value>

        &lt;/query>
      &lt;/xsl:for-each>&lt;query properties="force" queryID="assetVersion">&lt;value>

insert into ass_versions (
  assetId,
  customId,
  description,
  versionedAttributes,
  children,
  updatedOn,
  updatedByUserId,
  versionComment
) values (
  &lt;xsl:value-of select="am:newIDValue('assets_seq'), am:comma()"/>&lt;xsl:value-of select="am:stringToDB($var.asset/version/customId), am:comma()"/>&lt;xsl:value-of select="am:multilineStringToDB($var.asset/version/description), am:comma()"/>&lt;xsl:value-of select="am:nodeToDB(am:attributesToPersistentForm($var.asset,  $var.asset/version/versionedAttributes, $var.template/versionedAttributes)), am:comma()"/>&lt;xsl:value-of select="am:nodeToDB(am:childrenToPersistentForm($var.asset)), am:comma()"/>&lt;xsl:value-of select="am:timestampToDB($currentDateTime), am:comma()"/>&lt;xsl:value-of select="am:stringToDB($var.session/user/id), am:comma()"/>&lt;xsl:value-of select="am:multilineStringToDB($var.versionComment)"/>
)
        &lt;/value>&lt;/query>&lt;/xsl:variable>&lt;xsl:sequence select="am:queriesForCreate('assets_seq', $var.queries)"/>&lt;query properties="force">&lt;value>&lt;xsl:text>update organizations set orelease = orelease + 1 where id = &lt;/xsl:text>&lt;xsl:value-of select="am:stringToDB($var.session/user/organizations/organization/id)"/>&lt;/value>&lt;/query>
    &lt;/queries>
  &lt;/xsl:template>
&lt;/xsl:stylesheet></Property>
	<Property name="xslt.target"></Property>
	<Property name="xslt.transformer">net.sf.saxon.TransformerFactoryImpl</Property>
</Properties>